## libmatroska-20030811.tar.bz2

=== make/cygwin/Makefile ===
# libmatroska core Makefile (used in cygwin)
# $Id: Makefile,v 1.1 2003/07/16 15:33:11 robux4 Exp $

# Options
EXTENSION=.cpp
CXXFLAGS=-g -DDEBUG -Wall -Wno-unknown-pragmas -DWIN32 -DNO_NAMESPACE
LDFLAGS=

SRC_DIR=../../src/

# Programs
CXX=g++ -c
LD=g++
DEP=$(CXX) -MM
DEPEND = makedepend
AR = ar rcvu
RANLIB = ranlib

# Librarires
INCLUDE=
LIBS=

# Names
PROGRAM=libmatroska.a

# source-files
sources:=$(wildcard ${SRC_DIR}*$(EXTENSION))

# header files; replace .cxx extension with .h
headers:=$(patsubst %$(EXTENSION),%.hpp,$(sources))

# files holding dependency information; replace .cxx extension with .dep
dependencies:=$(patsubst %$(EXTENSION),%.dep,$(sources))

# object files; replace .cxx extension with .o
objects:=$(patsubst %$(EXTENSION),%.o,$(sources))

DEPENDFLAGS  = ${CXXFLAGS} ${INCLUDE}

# Build rules
%.o: %$(EXTENSION)
	$(CXX) $(CXXFLAGS) $(INCLUDE) -o $@ $<

$(PROGRAM): $(objects)
	$(AR) $@ $(objects)
	$(RANLIB) $@
#	$(LD) $(LDFLAGS) -o $@ $^ $(LIBS)
#	${LD} -o $@ ${LDFLAGS} ${OBJS} ${LIBS} ${EXTRA_LIBS}

clean:
	rm -f ${SRC_DIR}$(objects)
	rm -f ${SRC_DIR}$(dependencies)
	rm -f ${SRC_DIR}$(PROGRAM)
	rm -f CORE

# what are the source dependencies
depend: $(sources)
	$(DEPEND) $(DEPENDFLAGS) $(sources)

# DO NOT DELETE

=== make/linux/Makefile ===
# libmatroska core Makefile (used in cygwin)
# $Id: Makefile,v 1.3 2003/07/17 09:48:18 mosu Exp $
# Author: Steve Lhomme <robux4 @ users.sf.net>
# Author: Moritz Bunkus <moritz @ bunkus.org>

#
# The library is built without debug information. If you want
# debug information to be included then compile with
# 'make DEBUG=yes'.
#

# Paths
prefix=/usr/local
libdir=$(prefix)/lib
includedir=$(prefix)/include/matroska

# Programs
CXX=g++
LD=g++
DEP=$(CXX) -MM
DEPEND = makedepend
AR = ar rcvu
RANLIB = ranlib
INSTALL = install
INSTALL_OPTS = -m 644
INSTALL_OPTS_LIB = -m 644
INSTALL_DIR_OPTS = -m 755

CWD=$(shell pwd)

# Options
LIBEBML_INCLUDE_DIR=$(CWD)/../../../libebml
LIBEBML_LIB_DIR=$(CWD)/../../../libebml/make/linux
EXTENSION=.cpp

ifeq (yes,$(DEBUG))
DEBUGFLAGS=-g -DDEBUG
endif
CXXFLAGS=$(DEBUGFLAGS) -Wall -Wno-unknown-pragmas -ansi -pedantic -fno-gnu-keywords -D_GNU_SOURCE
LDFLAGS=-L. -L$(LIBEBML_LIB_DIR)

SRC_DIR=$(CWD)/../../src/
INCLUDE_DIR=$(CWD)/../../matroska
MUX_SRC_DIR=$(CWD)/../../test/mux/
TAG_SRC_DIR=$(CWD)/../../test/tags/

# Librarires
INCLUDE=-I$(CWD)/../.. -I$(LIBEBML_INCLUDE_DIR)
LIBS=
MUX_LIBS=-lmatroska -lebml $(LIBICONV)

# Names
LIBRARY=libmatroska.a

# source-files
sources:=$(wildcard ${SRC_DIR}*$(EXTENSION))

# header files; replace .cxx extension with .h
headers:=$(patsubst %$(EXTENSION),%.h,$(sources))

# files holding dependency information; replace .cxx extension with .dep
dependencies:=$(patsubst %$(EXTENSION),%.dep,$(sources))

# object files; replace .cxx extension with .o
objects:=$(patsubst %$(EXTENSION),%.o,$(sources))

DEPENDFLAGS  = ${CXXFLAGS} ${INCLUDE}

all: $(LIBRARY) test

lib library: $(LIBRARY)

# Build rules
%.o: %$(EXTENSION)
	$(CXX) -c $(CXXFLAGS) $(INCLUDE) -o $@ $<

$(LIBRARY): $(objects)
	$(AR) $@ $(objects)
	$(RANLIB) $@
#	$(LD) $(LDFLAGS) -o $@ $^ $(LIBS)
#	${LD} -o $@ ${LDFLAGS} ${OBJS} ${LIBS} ${EXTRA_LIBS}

clean:	cleantest
	rm -f $(objects)
	rm -f $(dependencies)
	rm -f $(LIBRARY)
	rm -f CORE

cleantest:
	rm -f test6 test8 test9 test6.o test8.o test9.o

# what are the source dependencies
depend: $(sources)
	$(DEPEND) $(DEPENDFLAGS) $(sources)

test: test6 test8 test9

test6:	test6.o $(LIBRARY)
	$(LD) -o $@ $(LDFLAGS) $< $(MUX_LIBS)

test6.o: $(MUX_SRC_DIR)test6.cpp
	$(CXX) -c $(CXXFLAGS) $(INCLUDE) -o $@ $<

test8:	test8.o $(LIBRARY)
	$(LD) -o $@ $(LDFLAGS) $< $(MUX_LIBS)

test8.o: $(MUX_SRC_DIR)test8.cpp
	$(CXX) -c $(CXXFLAGS) $(INCLUDE) -o $@ $<

test9:	test9.o $(LIBRARY)
	$(LD) -o $@ $(LDFLAGS) $< $(MUX_LIBS)

test9.o: $(TAG_SRC_DIR)test9.cpp
	$(CXX) -c $(CXXFLAGS) $(INCLUDE) -o $@ $<

install: $(LIBRARY)
	$(INSTALL) $(INSTALL_DIR_OPTS) -d $(libdir)
	$(INSTALL) $(INSTALL_OPTS_LIB) $(LIBRARY) $(libdir)
	$(INSTALL) $(INSTALL_DIR_OPTS) -d $(includedir)
	for i in $(INCLUDE_DIR)/*.h; do \
		$(INSTALL) $(INSTALL_OPTS) $$i $(includedir) ; \
	done
	$(INSTALL) $(INSTALL_DIR_OPTS) -d $(includedir)/c
	for i in $(INCLUDE_DIR)/c/*.h; do \
		$(INSTALL) $(INSTALL_OPTS) $$i $(includedir)/c ; \
	done

# DO NOT DELETE

=== make/mingw32/Makefile ===
# Project: libmatroska
# Makefile created by Dev-C++ 4.9.7.0

ifeq (yes,$(DEBUG))
DEBUGFLAGS=-g -DDEBUG
endif
CPP  = g++.exe
CC   = gcc.exe
WINDRES = windres.exe
RES  = 
OBJ  = ../../src/KaxAttached.o ../../src/KaxAttachments.o ../../src/KaxBlock.o ../../src/KaxBlockData.o ../../src/KaxChapters.o ../../src/KaxCluster.o ../../src/KaxClusterData.o ../../src/KaxContexts.o ../../src/KaxCues.o ../../src/KaxCuesData.o ../../src/KaxInfo.o ../../src/KaxInfoData.o ../../src/KaxSeekHead.o ../../src/KaxSegment.o ../../src/KaxTag.o ../../src/KaxTags.o ../../src/KaxTagMulti.o ../../src/KaxTrackAudio.o ../../src/KaxTrackEntryData.o ../../src/KaxTracks.o ../../src/KaxTrackVideo.o ../../src/KaxVersion.o ../../src/FileKax.o $(RES)
LIBS = 
INCS = -I"../../../libebml" -I../..
BIN  = libmatroska.a
CXXFLAGS = $(DEBUGFLAGS) $(INCS) 
CFLAGS = $(DEBUGFLAGS) $(INCS) 

.PHONY: all all-before all-after clean clean-custom

all: all-before libmatroska.a all-after


clean: clean-custom
	rm -f $(OBJ) $(BIN)

$(BIN): $(OBJ)
	ar r $(BIN) $(OBJ)
	ranlib $(BIN)

../../src/KaxAttached.o: ../../src/KaxAttached.cpp
	$(CPP) -c ../../src/KaxAttached.cpp -o ../../src/KaxAttached.o $(CXXFLAGS)

../../src/KaxAttachments.o: ../../src/KaxAttachments.cpp
	$(CPP) -c ../../src/KaxAttachments.cpp -o ../../src/KaxAttachments.o $(CXXFLAGS)

../../src/KaxBlock.o: ../../src/KaxBlock.cpp
	$(CPP) -c ../../src/KaxBlock.cpp -o ../../src/KaxBlock.o $(CXXFLAGS)

../../src/KaxBlockData.o: ../../src/KaxBlockData.cpp
	$(CPP) -c ../../src/KaxBlockData.cpp -o ../../src/KaxBlockData.o $(CXXFLAGS)

../../src/KaxChapters.o: ../../src/KaxChapters.cpp
	$(CPP) -c ../../src/KaxChapters.cpp -o ../../src/KaxChapters.o $(CXXFLAGS)

../../src/KaxCluster.o: ../../src/KaxCluster.cpp
	$(CPP) -c ../../src/KaxCluster.cpp -o ../../src/KaxCluster.o $(CXXFLAGS)

../../src/KaxClusterData.o: ../../src/KaxClusterData.cpp
	$(CPP) -c ../../src/KaxClusterData.cpp -o ../../src/KaxClusterData.o $(CXXFLAGS)

../../src/KaxContexts.o: ../../src/KaxContexts.cpp
	$(CPP) -c ../../src/KaxContexts.cpp -o ../../src/KaxContexts.o $(CXXFLAGS)

../../src/KaxCues.o: ../../src/KaxCues.cpp
	$(CPP) -c ../../src/KaxCues.cpp -o ../../src/KaxCues.o $(CXXFLAGS)

../../src/KaxCuesData.o: ../../src/KaxCuesData.cpp
	$(CPP) -c ../../src/KaxCuesData.cpp -o ../../src/KaxCuesData.o $(CXXFLAGS)

../../src/KaxInfo.o: ../../src/KaxInfo.cpp
	$(CPP) -c ../../src/KaxInfo.cpp -o ../../src/KaxInfo.o $(CXXFLAGS)

../../src/KaxInfoData.o: ../../src/KaxInfoData.cpp
	$(CPP) -c ../../src/KaxInfoData.cpp -o ../../src/KaxInfoData.o $(CXXFLAGS)

../../src/KaxSeekHead.o: ../../src/KaxSeekHead.cpp
	$(CPP) -c ../../src/KaxSeekHead.cpp -o ../../src/KaxSeekHead.o $(CXXFLAGS)

../../src/KaxSegment.o: ../../src/KaxSegment.cpp
	$(CPP) -c ../../src/KaxSegment.cpp -o ../../src/KaxSegment.o $(CXXFLAGS)

../../src/KaxTag.o: ../../src/KaxTag.cpp
	$(CPP) -c ../../src/KaxTag.cpp -o ../../src/KaxTag.o $(CXXFLAGS)

../../src/KaxTags.o: ../../src/KaxTags.cpp
	$(CPP) -c ../../src/KaxTags.cpp -o ../../src/KaxTags.o $(CXXFLAGS)

../../src/KaxTagMulti.o: ../../src/KaxTagMulti.cpp
	$(CPP) -c ../../src/KaxTagMulti.cpp -o ../../src/KaxTagMulti.o $(CXXFLAGS)

../../src/KaxTrackAudio.o: ../../src/KaxTrackAudio.cpp
	$(CPP) -c ../../src/KaxTrackAudio.cpp -o ../../src/KaxTrackAudio.o $(CXXFLAGS)

../../src/KaxTrackEntryData.o: ../../src/KaxTrackEntryData.cpp
	$(CPP) -c ../../src/KaxTrackEntryData.cpp -o ../../src/KaxTrackEntryData.o $(CXXFLAGS)

../../src/KaxTracks.o: ../../src/KaxTracks.cpp
	$(CPP) -c ../../src/KaxTracks.cpp -o ../../src/KaxTracks.o $(CXXFLAGS)

../../src/KaxTrackVideo.o: ../../src/KaxTrackVideo.cpp
	$(CPP) -c ../../src/KaxTrackVideo.cpp -o ../../src/KaxTrackVideo.o $(CXXFLAGS)

../../src/KaxVersion.o: ../../src/KaxVersion.cpp
	$(CPP) -c ../../src/KaxVersion.cpp -o ../../src/KaxVersion.o $(CXXFLAGS)

../../src/FileKax.o: ../../src/FileKax.cpp
	$(CPP) -c ../../src/FileKax.cpp -o ../../src/FileKax.o $(CXXFLAGS)

=== test/ebml/Makefile ===
# libmatroska core Makefile (used in cygwin)
# $Id: Makefile,v 1.1 2003/07/16 15:46:11 robux4 Exp $

# Options
EXTENSION=.cpp
CXXFLAGS=-g -DDEBUG -Wall -Wno-unknown-pragmas -DWIN32 -I../../src/
LDFLAGS=

SRC_DIR=../../src/

# Programs
CXX=g++ -c
LD=g++
DEP=$(CXX) -MM
DEPEND = makedepend
AR = ar rcvu
RANLIB = ranlib

# Librarires
INCLUDE=
LIBS=

# Names
PROGRAM=test00

# source-files
sources:=$(wildcard ${SRC_DIR}*$(EXTENSION))

# header files; replace .cxx extension with .h
headers:=$(patsubst %$(EXTENSION),%.hpp,$(sources))

# files holding dependency information; replace .cxx extension with .dep
dependencies:=$(patsubst %$(EXTENSION),%.dep,$(sources))

# object files; replace .cxx extension with .o
objects:=$(patsubst %$(EXTENSION),%.o,$(sources))

OBJ=$(objects) test00.o

DEPENDFLAGS  = ${CXXFLAGS} ${INCLUDE}

# Build rules
%.o: %$(EXTENSION)
	$(CXX) $(CXXFLAGS) $(INCLUDE) -o $@ $<

$(PROGRAM): $(OBJ)
#	$(AR) $@ $(objects)
#	$(RANLIB) $@
	$(LD) $(LDFLAGS) -o $@ $^ $(LIBS)
	${LD} -o $@ ${LDFLAGS} ${OBJ} ${LIBS} ${EXTRA_LIBS}

clean:
	rm -f $(OBJ)
	rm -f $(dependencies)
	rm -f $(PROGRAM)
	rm -f CORE

# what are the source dependencies
depend: $(sources)
	$(DEPEND) $(DEPENDFLAGS) $(sources)

# DO NOT DELETE

=== debian/changelog ===
libmatroska (0.5.0-1) unstable; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Mon, 28 Jul 2003 10:49:27 +0200

libmatroska (0.4.4-2) unstable; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sat, 14 Jun 2003 17:40:11 +0200

libmatroska (0.4.4-1) unstable; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Wed, 11 Jun 2003 20:32:09 +0200

libmatroska (0.4.3-1) unstable; urgency=low

  * New version with API changes.

 -- Moritz Bunkus <moritz@bunkus.org>  Wed, 21 May 2003 22:35:52 +0200

libmatroska (0.4.2-1) unstable; urgency=low

  * New version with API changes.

 -- Moritz Bunkus <moritz@bunkus.org>  Tue,  6 May 2003 22:33:44 +0200

libmatroska (0.4.1-2) unstable; urgency=low

  * Compiled with gcc 3.2.3

 -- Moritz Bunkus <moritz@bunkus.org>  Sun, 04 May 2003 22:11:33 +0200

libmatroska (0.4.1-1) unstable; urgency=low

  * Some bugfixes, memleak fixed.

 -- Moritz Bunkus <moritz@bunkus.org>  Sat, 03 May 2003 23:07:33 +0200

libmatroska (0.4.0-1) unstable; urgency=low

  * First alpha release :)

 -- Moritz Bunkus <moritz@bunkus.org>  Wed, 30 Apr 2003 10:44:33 +0200

libmatroska (0.2.0.20030425) unstable; urgency=low

  * New version with bugfixes by Steve.

 -- Moritz Bunkus <moritz@bunkus.org>  Fri, 25 Apr 2003 20:01:49 +0200

libmatroska (0.2.0.20030421) unstable; urgency=low

  * Separated libebml from libmatroska like in the upstream sources.)

 -- Moritz Bunkus <moritz@bunkus.org>  Mon, 21 Apr 2003 16:33:36 +0200

libmatroska (0.0.20030225) unstable; urgency=low

  * Initial Release.

 -- Moritz Bunkus <moritz@bunkus.org>  Tue, 25 Feb 2003 18:28:52 +0100

=== debian/control ===
Source: libmatroska
Priority: optional
Maintainer: Moritz Bunkus <moritz@bunkus.org>
Build-Depends: debhelper (>> 3.0.0), libebml-dev (>= 0.5.0-1)
Standards-Version: 3.5.8

Package: libmatroska-dev
Section: devel
Architecture: any
Depends: libebml-dev (>= 0.4.4-2)
Description: an extensible open standard Audio/Video container format
 Matroska is aiming to become the standard of Multimedia
 Container Formats one day. It is based on EBML (Extensible Binary
 Meta Language), a kind of binary version of XML. This way the
 significant advantages in terms of future format extensability
 are gained without breaking file support in old parsers.
